<div class="modal-body">
                        <form name="form-producto" action="incertar-producto.php" method="post" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="recipient-name" class="col-form-label">id-proveedor:</label>
                                <input type="text" class="form-control" name="id-proveedor" id="id-proveedor">
                            </div>
                            <div class="form-group">
                                <label for="recipient-name" class="col-form-label">Nombre:</label>
                                <input type="text" class="form-control" name="nombre-producto">
                            </div>
                            <div class="form-group">
                                <label for="message-text" class="col-form-label">Descripción:</label>
                                <input type="text" class="form-control" name="descripcion-producto"></input>
                            </div>
                            <div class="form-group">
                                <label for="message-text" class="col-form-label">Precio:</label>
                                <input type="number" class="form-control" name="precio-producto"></input>
                            </div>
                            <div class="form-group">
                                <label for="message-text" class="col-form-label">Cantidad:</label>
                                <input type="number" class="form-control" name="cantidad-producto"></input>
                            </div>
                            <div class="form-group">
                                <label for="message-text" class="col-form-label">Foto:</label>
                                <input type="file" name="imagen-producto" class="form-control" id="imagen-producto"></input>
                            </div>
                    </div>
<script>
    function upload(file) {
        alert("el proceso va a empezar");
        let xhr = new XMLHttpRequest();
        var formData = new FormData();
        formData.append("fileToUpload", file);
        xhr.upload.onprogress = function(event) {
            console.log(`Uploaded ${event.loaded} of ${event.total}`);
        };

        // seguimiento completado: sea satisfactorio o no
        xhr.onloadend = function() {
            if (xhr.status == 200) {
                console.log("Logrado");
            } else {
                console.log("error " + this.status);
            }
        };
        
        xhr.open("POST", "./incertar-proveedor.php",true);
        xhr.send(formData);
        xhr.onload = () => alert(xhr.response);
    }
</script>